package de.sus.world;

import java.util.Random;

public class Board {
    /** Container for the fields on the board */
    private Field[][] boardfields;

    /**
     * Constructor
     * @author Michael Rodin
     * @param size the radius of the boards aka. field count of the  horizontal
     */
    public Board(int size) {
        if (size < 1) throw new IllegalArgumentException("The size must be 1 or higher!");

        this.boardfields = new Field[size][];

        int i = size/2-1;
        int count = 0;

        if (size % 2 == 1) {
            this.boardfields[size/2] = new Field[size];
            count = 1;
        }

        for (; i >= 0; i--, count++) {
            this.boardfields[i] = new Field[size-count];
            this.boardfields[size-1-i] = new Field[size-count];
        }

        Random random = new Random();
        for (Field[] k: this.boardfields) {
            for (Field j: k) {
                j = new Field(Resource.getRandom(), random.nextInt(12)+1);
                System.out.println(j);
            }
        }
    }

    public Field[][] getFields() {
        return this.boardfields;
    }
}