package de.sus.world;

import java.util.Random;

/**
 * Defines all possible field resources
 * @author Michael Rodin
 * @version 2025-06-10
 */
public enum Resource {
    WOOD("Wood"),
    STONE("Stone"),
    SHEEP("Sheep"),
    CLAY("Clay"),
    WHEAT("Wheat");

    /** The representing string for the resource's type */
    private final String name;

    /**
     * Constructor
     * @author Michael Rodin
     */
    Resource(String name) {
        this.name = name;
    }

    /**
     * Getter for the resource's name
     * @author Michael Rodin
     * @return the string representation of the resource
     */
    public String getName() {
        return this.name;
    }

    @Override
    public String toString() {
        return this.name;
    }

    /**
     * Returns a random Resource
     * @author Michael Rodin
     * @return random Resource enum type
     */
    public static Resource getRandom() {
        return Resource.values()[new Random().nextInt(Resource.values().length)];
    }
}